<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Đăng nhập Admin</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminLogin.css" rel="stylesheet" type="text/css"/>
</head>
<body class="text-center">
<div class="d-flex flex-column justify-content-evenly" id="container">
  <div class="d-flex justify-content-evenly">
    <a class="d-flex justify-content-center align-items-center" href="/" id="btnBackToWebsite">
      <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
    </a>
    <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
  </div>

  <form id="formLogin" method="post" th:action="@{/login}"
        th:object="${loginInfo}">
    <img alt=""
         class="mb-4"
         src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png">
    <div class="d-flex flex-column justify-content-center align-items-center"
         id="groupInput-signIn">
      <div class="row" style="width: 40%">
        <label class="col-sm-2 col-form-label" for="inputEmail">Email:</label>
        <div class="col-sm-10">
          <input class="form-control" id="inputEmail" name="username" th:field="${loginInfo.email}"
                 type="email">
        </div>
      </div>
      <br>
      <div class="row" style="width: 40%">
        <label class="col-sm-2 col-form-label" for="inputPassword">Password:</label>
        <div class="col-sm-10">
          <input class="form-control" id="inputPassword" name="password"
                 th:field="${loginInfo.password}"
                 type="password">
        </div>
      </div>
    </div>
    <div class="d-flex justify-content-evenly" id="groupButton-signIn"
         style=" margin: 0.9375rem auto auto;width: 40%">
      <button class="btn" onclick="forgetPassword()" type="button">Quên mật khẩu ?</button>
      <button class="btn btn-danger" type="submit">Đăng nhập</button>
    </div>
  </form>
  <div id="notification" th:if="${notification.text != null }" th:object="${notification}">
    <div id="contentNotification">
      <div id="headerNotification">
        <h4 style="margin: 0; color: red">THÔNG BÁO</h4>
        <a class="btn"><i class="fa fa-window-close"></i> Đóng lại</a>
      </div>
      <hr>
      <p th:utext="${notification.text}"></p>
    </div>
  </div>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;

    setTimeout(showTime, 1000);

  }

  showTime();

  $("#notification").click(function () {
    $("#notification").hide();
  });

  function forgetPassword() {
    Swal.fire({
      title: 'Nhập email của bạn',
      input: 'text',
      inputAttributes: {
        autocapitalize: 'off'
      },
      showCancelButton: true,
      cancelButtonText: 'Đóng',
      confirmButtonText: 'xác nhận',
      showLoaderOnConfirm: true,
      preConfirm: (email) => {
        return window.location = '/forget-password/' + email;
      }
    })
  }
</script>
</body>
</html>
